%define prerelease pre3

Summary:	Configure and monitor Wireless Access Points 
Name:		ap-utils
Version:	1.5.1
Release:	%mkrel 0.%{prerelease}.4

Source:		http://prdownloads.sourceforge.net/ap-utils/%name-%{version}%{prerelease}.tar.bz2

License:	GPL
Group:		Networking/Other
URL:		http://ap-utils.polesye.net/
Buildrequires:	libncurses-devel
Buildroot:	%_tmppath/%name-buildroot

%description
Wireless Access Point Utilities for Unix is a set of utilities 
to configure and monitor Wireless Access Points under Unix.

%prep

%setup -q -n %name-%{version}%{prerelease}

%build
%define Werror_cflags %nil
%configure2_5x
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std

# remove french translation, it is prevent correct usage of ap-config
rm $RPM_BUILD_ROOT%{_datadir}/locale/fr/LC_MESSAGES/ap-utils.mo

%find_lang %name

%clean
rm -Rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc AUTHORS INSTALL NEWS COPYING README TODO ChangeLog
%doc Documentation/FAQ Documentation/*.html 
%_bindir/*
%_sbindir/*
%_mandir/man8/*




%changelog
* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.5.1-0.pre3.4mdv2011.0
+ Revision: 571830
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.5.1-0.pre3.2mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-0.pre3.2mdv2007.0
+ Revision: 96469
- Remove french translation, it is prevent correct usage of ap-config
- Import ap-utils

* Fri Jul 14 2006 Lenny Cartier <lenny@mandriva.com> 1.5.1-0.pre3.1mdv2007.0
- 1.5.1pre3

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-0.pre2.1mdk
- 1.5.1pre2

* Thu May 26 2005 Lenny Cartier <lenny@mandriva.com> 1.5.1-0.pre1.1mdk
- 1.5.1pre1

* Tue Mar 08 2005 Lenny Cartier <lenny@mandrakesoft.com 1.5-1mdk
- 1.5

* Wed Feb 09 2005 Lenny Cartier <lenny@mandrakesoft.com 1.5-0.pre2.1mdk
- 1.5pre2

* Mon Jan 17 2005 Lenny Cartier <lenny@mandrakesoft.com 1.4.2-0.pre2.1mdk
- 1.4.2pre2

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com 1.4.2-0.pre1.1mdk
- 1.4.2pre1

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com 1.4.1-1mdk
- 1.4.1

* Thu Mar 11 2004 Lenny Cartier <lenny@mandrakesoft.com 1.4-1mdk
- 1.4

